Bug 1565699 - Errors when removing package
Summary: Errors when removing package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: environment-modules
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 14:47 UTC by Bastien Nocera
Modified: 2018-05-11 01:24 UTC (History)
3 users (show)

Fixed In Version: environment-modules-4.1.2-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 01:24:08 UTC
Type: Bug


Attachments (Terms of Use)
Fix update-alternatives target in postun section (394 bytes, patch)
2018-05-02 04:56 UTC, Xavier Delaruelle
no flags Details | Diff

Description Bastien Nocera 2018-04-10 14:47:07 UTC
environment-modules-4.1.1-1.fc28.x86_64

# rpm -e environment-modules
/usr/share/Modules/init/modules.sh has not been configured as an alternative for modules.sh
warning: %postun(environment-modules-4.1.1-1.fc28.x86_64) scriptlet failed, exit status 2

Comment 1 Xavier Delaruelle 2018-05-02 04:56:48 UTC
Created attachment 1429641 [details]
Fix update-alternatives target in postun section

Still an issue on 4.1.2-1.fc28. Wrong alternatives target is used in postun section.

Attached patch on RPM specfile should correct this issue.

Comment 2 Fedora Update System 2018-05-04 07:52:02 UTC
environment-modules-4.1.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f8034a524

Comment 3 Fedora Update System 2018-05-06 10:07:18 UTC
environment-modules-4.1.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f8034a524

Comment 4 Fedora Update System 2018-05-11 01:24:08 UTC
environment-modules-4.1.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.